Package waffle.windows.auth

## Enum PrincipalFormat

- java.lang.Object
- - java.lang.Enum<PrincipalFormat>
  - - waffle.windows.auth.PrincipalFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<PrincipalFormat>`

    public enum PrincipalFormat
    extends Enum<PrincipalFormat>

The Enum PrincipalFormat.

Author:
  dblock[at]dblock[dot]org

### Enum Constant Summary

Enum Constants
`BOTH` The both.
`FQN` The fqn.
`NONE` The none.
`SID` The sid.

### Method Summary

All Methods Static Methods Concrete Methods
`static PrincipalFormat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PrincipalFormat[]` `values​()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FQN

    public static final PrincipalFormat FQN

The fqn.

#### SID

    public static final PrincipalFormat SID

The sid.

#### BOTH

    public static final PrincipalFormat BOTH

The both.

#### NONE

    public static final PrincipalFormat NONE

The none.

### Method Detail

#### values

    public static PrincipalFormat[] values​()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrincipalFormat c : PrincipalFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrincipalFormat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null